<?php
namespace Teknisa\EST\Modules\Relatorios\Services;

use Teknisa\GER\Services\CrudService;

class Est31100PosicaoDeEstoqueService {

    protected $crudService;
    protected $consistenciaRepository;

    public function __construct(CrudService $crudService) {
        $this->crudService = $crudService;
    }

    public function validateParameters($row) {
        if (empty($row["NVTOT"])) {
            throw new \Exception("Nível de totalização não informado.");
        }
        else if (empty($row["CDARVPRODFIN"])) {
            throw new \Exception("Produto final não informado.");
        }
        else if (empty($row["CDARVPRODINI"])) {
            throw new \Exception("Produto inicial não informado.");
        }
        else if ($row["CDARVPRODFIN"] < $row["CDARVPRODINI"]) {
            throw new \Exception("Produto inicial deve ser menor ou igual ao produto final.");
        }
        else if (empty($row["CDTIPOCUSTO"])) {
            throw new \Exception("Tipo de custo não informado.");
        }
        else if (empty($row["DATAPOS"])) {
            throw new \Exception("Data da posição não informada.");
        }
        else if (empty($row["DTPOSICAO"])) {
            throw new \Exception("Data da posição não informada.");
        }
        else if (empty($row["CDFILIAL"])) {
            throw new \Exception("Unidade não informada.");
        }
        else if (empty($row["CDALMOXARIFE"])) {
            throw new \Exception("Almoxarifado não informado.");
        }
        else if (empty($row["CDLOCALESTOQ"])) {
            throw new \Exception("Local de estoque não informado.");
        }
        else if (empty($row["ORDENANOME"])) {
            throw new \Exception("Ordenação por nome não informado.");
        }
        else if (empty($row["NMTIPOCUSTO"])) {
            throw new \Exception("Nomde do tipo de custo não informado.");
        }
    }

}
